# Uses of Class
org.apache.lucene.analysis.ja.dict.TokenInfoDictionary

Packages that use TokenInfoDictionary
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.
org.apache.lucene.analysis.ja.dict
Kuromoji dictionary implementation.

- ## Uses of TokenInfoDictionary in org.apache.lucene.analysis.ja

  Constructors in org.apache.lucene.analysis.ja with parameters of type TokenInfoDictionary
  Modifier
  Constructor
  Description
  ``
  `JapaneseTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, boolean discardPunctuation, boolean discardCompoundToken, JapaneseTokenizer.Mode mode)`
  Create a new JapaneseTokenizer, supplying a custom system dictionary and unknown dictionary.

- ## Uses of TokenInfoDictionary in org.apache.lucene.analysis.ja.dict

  Methods in org.apache.lucene.analysis.ja.dict that return TokenInfoDictionary
  Modifier and Type
  Method
  Description
  `static TokenInfoDictionary`
  TokenInfoDictionary.`getInstance()`